ADDED   mttroot/mtt/debian/README.Debian
Index: mttroot/mtt/debian/README.Debian
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/README.Debian
@@ -0,0 +1,9 @@
+mtt for Debian
+--------------
+
+Model Transformation Tools is hosted on Sourceforge
+http://sourceforge.net/projects/mtt
+
+The mtt-doc package contains the documentation for mtt.
+
+ -- Geraint <geraint@users.sf.net>, Sun, 28 Apr 2002 00:11:29 +0000

ADDED   mttroot/mtt/debian/changelog
Index: mttroot/mtt/debian/changelog
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/changelog
@@ -0,0 +1,6 @@
+mtt (4.9+2002.04.27-1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Geraint <geraint@users.sf.net>  Sun, 28 Apr 2002 00:11:29 +0000
+

ADDED   mttroot/mtt/debian/conffiles
Index: mttroot/mtt/debian/conffiles
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/conffiles
@@ -0,0 +1,1 @@
+/etc/mtt.conf

ADDED   mttroot/mtt/debian/conffiles.ex
Index: mttroot/mtt/debian/conffiles.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/conffiles.ex
@@ -0,0 +1,7 @@
+#
+# If you want to use this conffile, remove all comments and put files that
+# you want dpkg to process here using their absolute pathnames.
+# See the policy manual
+#
+# for example:
+# /etc/mtt/mtt.conf

ADDED   mttroot/mtt/debian/control
Index: mttroot/mtt/debian/control
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/control
@@ -0,0 +1,21 @@
+Source: mtt
+Section: math
+Priority: optional
+Maintainer: Geraint <geraint@users.sf.net>
+Build-Depends: debhelper (>> 3.0.0)
+Standards-Version: 3.5.2
+
+Package: mtt
+Architecture: all
+Depends: gawk, octave, xfig
+Recommends: blas-dev, fftw-dev, c-compiler, g++, gnuplot, info-browser, lapack-dev, latex2html, libkpathsea-dev, libncurses5-dev, libreadline4-dev, pdf-viewer, postscript-viewer, octave-headers, octave-info, octave-sp, p2c, transfig, xterm, www-browser, wish
+Suggests: scigraphica
+Conflicts: mawk
+Description: Model Transformation Tools.
+ A set of tools for modelling dynamic physical systems using the bond-graph
+ methodology and transforming these models into representations suitable for
+ analysis, control and simulation. These tools use, and generate m files for,
+ GNU Octave.
+ .
+ mtt requires the non-free symbolic algebra tool Reduce to be installed.
+ Details of Reduce can be found at http://www.uni-koeln.de/REDUCE/

ADDED   mttroot/mtt/debian/copyright
Index: mttroot/mtt/debian/copyright
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/copyright
@@ -0,0 +1,16 @@
+This package was debianized by Geraint <geraint@users.sf.net> on
+Sun, 28 Apr 2002 00:11:29 +0000.
+
+It was downloaded from http://sourceforge.net/projects/mtt
+
+Upstream Author(s): Peter Gawthrop <mtt@gawthrop.net>
+
+Copyright:
+
+mtt is copyright (c) 1989-2002 by Peter J. Gawthrop.
+
+You are free to distribute this software under the terms of the
+GNU General Public License (GPL).
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in /usr/share/common-licenses/GPL.

ADDED   mttroot/mtt/debian/cron.d.ex
Index: mttroot/mtt/debian/cron.d.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/cron.d.ex
@@ -0,0 +1,4 @@
+#
+# Regular cron jobs for the mtt package
+#
+0 4	* * *	root	mtt_maintenance

ADDED   mttroot/mtt/debian/dirs
Index: mttroot/mtt/debian/dirs
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/dirs
@@ -0,0 +1,2 @@
+usr/bin
+usr/sbin

ADDED   mttroot/mtt/debian/docs
Index: mttroot/mtt/debian/docs
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/docs

ADDED   mttroot/mtt/debian/emacsen-install.ex
Index: mttroot/mtt/debian/emacsen-install.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/emacsen-install.ex
@@ -0,0 +1,45 @@
+#! /bin/sh -e
+# /usr/lib/emacsen-common/packages/install/mtt
+
+# Written by Jim Van Zandt <jrv@vanzandt.mv.com>, borrowing heavily
+# from the install scripts for gettext by Santiago Vila
+# <sanvila@ctv.es> and octave by Dirk Eddelbuettel <edd@debian.org>.
+
+FLAVOR=$1
+PACKAGE=mtt
+
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
+
+echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
+
+#FLAVORTEST=`echo $FLAVOR | cut -c-6`
+#if [ ${FLAVORTEST} = xemacs ] ; then
+#    SITEFLAG="-no-site-file"
+#else
+#    SITEFLAG="--no-site-file"
+#fi
+FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+# Install-info-altdir does not actually exist. 
+# Maybe somebody will write it.
+if test -x /usr/sbin/install-info-altdir; then
+    echo install/${PACKAGE}: install Info links for ${FLAVOR}
+    install-info-altdir --quiet --section "" "" --dirname=${FLAVOR} /usr/info/${PACKAGE}.info.gz
+fi
+
+install -m 755 -d ${ELCDIR}
+cd ${ELDIR}
+FILES=`echo *.el`
+cp ${FILES} ${ELCDIR}
+cd ${ELCDIR}
+
+cat << EOF > path.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+EOF
+${FLAVOR} ${FLAGS} ${FILES}
+rm -f *.el path.el
+
+exit 0

ADDED   mttroot/mtt/debian/emacsen-remove.ex
Index: mttroot/mtt/debian/emacsen-remove.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/emacsen-remove.ex
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+# /usr/lib/emacsen-common/packages/remove/mtt
+
+FLAVOR=$1
+PACKAGE=mtt
+
+if [ ${FLAVOR} != emacs ]; then
+    if test -x /usr/sbin/install-info-altdir; then
+        echo remove/${PACKAGE}: removing Info links for ${FLAVOR}
+        install-info-altdir --quiet --remove --dirname=${FLAVOR} /usr/info/mtt.info.gz
+    fi
+
+    echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+    rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi

ADDED   mttroot/mtt/debian/emacsen-startup.ex
Index: mttroot/mtt/debian/emacsen-startup.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/emacsen-startup.ex
@@ -0,0 +1,18 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file for the Debian GNU/Linux mtt package
+;;
+;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
+;; Modified by Dirk Eddelbuettel <edd@debian.org>
+;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>
+
+;; The mtt package follows the Debian/GNU Linux 'emacsen' policy and
+;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
+;; xemacs19, emacs20, xemacs20...).  The compiled code is then
+;; installed in a subdirectory of the respective site-lisp directory.
+;; We have to add this to the load-path:
+(setq load-path (cons (concat "/usr/share/"
+                              (symbol-name flavor)
+			      "/site-lisp/mtt") load-path))
+
+

ADDED   mttroot/mtt/debian/ex.package.doc-base
Index: mttroot/mtt/debian/ex.package.doc-base
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/ex.package.doc-base
@@ -0,0 +1,22 @@
+Document: mtt
+Title: Debian mtt Manual
+Author: <insert document author here>
+Abstract: This manual describes what mtt is
+ and how it can be used to
+ manage online manuals on Debian systems.
+Section: unknown
+
+Format: debiandoc-sgml
+Files: /usr/share/doc/mtt/mtt.sgml.gz
+
+Format: postscript
+Files: /usr/share/doc/mtt/mtt.ps.gz
+
+Format: text
+Files: /usr/share/doc/mtt/mtt.text.gz
+
+Format: HTML
+Index: /usr/share/doc/mtt/html/index.html
+Files: /usr/share/doc/mtt/html/*.html
+
+  

ADDED   mttroot/mtt/debian/init.d.ex
Index: mttroot/mtt/debian/init.d.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/init.d.ex
@@ -0,0 +1,70 @@
+#! /bin/sh
+#
+# skeleton	example file to build /etc/init.d/ scripts.
+#		This file should be used to construct scripts for /etc/init.d.
+#
+#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+#		Modified for Debian GNU/Linux
+#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+#
+# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
+#
+# This file was automatically customized by dh-make on Sun, 28 Apr 2002 00:11:29 +0000
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/mtt
+NAME=mtt
+DESC=mtt
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: "
+	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON
+	echo "$NAME."
+	;;
+  stop)
+	echo -n "Stopping $DESC: "
+	start-stop-daemon --oknodo --stop --quiet --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON
+	echo "$NAME."
+	;;
+  #reload)
+	#
+	#	If the daemon can reload its config files on the fly
+	#	for example by sending it SIGHUP, do it here.
+	#
+	#	If the daemon responds to changes in its config file
+	#	directly anyway, make this a do-nothing entry.
+	#
+	# echo "Reloading $DESC configuration files."
+	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
+	#	/var/run/$NAME.pid --exec $DAEMON
+  #;;
+  restart|force-reload)
+	#
+	#	If the "reload" option is implemented, move the "force-reload"
+	#	option to the "reload" entry above. If not, "force-reload" is
+	#	just the same as "restart".
+	#
+	echo -n "Restarting $DESC: "
+	start-stop-daemon --stop --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	sleep 1
+	start-stop-daemon --start --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	echo "$NAME."
+	;;
+  *)
+	N=/etc/init.d/$NAME
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $N {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0

ADDED   mttroot/mtt/debian/manpage.1
Index: mttroot/mtt/debian/manpage.1
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/manpage.1
@@ -0,0 +1,147 @@
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH MTT 1 "April 27, 2002"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh        disable hyphenation
+.\" .hy        enable hyphenation
+.\" .ad l      left justify
+.\" .ad b      justify to both left and right margins
+.\" .nf        disable filling
+.\" .fi        enable filling
+.\" .br        insert line break
+.\" .sp <n>    insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+mtt \- Model Transformation Tools
+.SH SYNOPSIS
+.B mtt
+.RI [ options ] " system representation language" 
+.br
+.B xmtt
+.RI [ --update ]
+.SH DESCRIPTION
+This manual page documents briefly the
+.B mtt
+and
+.B xmtt
+commands.
+Detailed documentation is available in info or html format by issuing
+the command
+.B mtt info
+for info format or
+.B mtt hinfo
+for html.
+.PP
+.\" TeX users may be more comfortable with the \fB<whatever>\fP and
+.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
+.\" respectively.
+\fBmtt\fP is a  set of tools for modelling dynamic physical systems using the bond-graph methodology and transforming these models into representations suitable for analysis, control and simulation. These tools use, and generate m files for, GNU Octave. 
+.SH OPTIONS
+A summary of options is included below.
+For a complete description, see the Info files.
+.TP
+.B \-q
+quiet mode -- suppress MTT banner
+.TP
+.B \-A
+solve algebraic equations symbolically
+.TP
+.B \-D
+debug -- leave log files etc
+.TP
+.B \-I
+prints more information
+.TP
+.B \-abg
+start at abg.m representation
+.TP
+.B \-c
+c-code generation
+.TP
+.B \-cc
+C++ code generation
+.TP
+.B \-cr
+Use cr before resolving equations
+.TP
+.B \-d  <dir>
+use directory <dir>
+.TP
+.B \-dc
+Maximise derivative (not integral) causality
+.TP
+.B \-dc
+Maximise derivative (not integral) causality
+.TP
+.B \-i <implicit|euler|rk4|dassl>
+Use implicit, euler, rk4 or dassl integration
+.TP
+.B \-ae <reduce|hybrd|dassl|hooke>
+Solve algebraic equations with specified solver
+.TP
+.B \-o
+ode is same as dae
+.TP
+.B \-oct
+use oct files in place of m files where appropriate
+.TP
+.B \-opt
+optimise code generation
+.TP
+.B \-p
+print environment variables
+.TP
+.B \-partition
+ partition hierachical system
+.TP
+.B \-pdf
+generate pdf in place of ps
+.TP
+.B \-r
+reset time stamp on representation
+.TP
+.B \-s
+generate sensitivity BG (use mtt -s sSys rep lang)
+.TP
+.B \-ss
+use steady-state info to initialise simulations
+.TP
+.B \-stdin
+read input data from standard input for  simulations
+.TP
+.B \-sub <subsystem>
+operate on this subsystem
+.TP
+.B \-t
+tidy mode (default)
+.TP
+.B \-trace
+Just indicate what mtt will do - but do not do it
+.TP
+.B \-u
+untidy mode (leaves files in current dir)
+.TP
+.B \-v
+verbose mode (multiple uses of -v increase the verbosity level)
+.TP
+.B \-viewlevel <N>
+View N levels of hierachy
+.TP
+.B \-\-version
+print version and exit
+.TP
+.B \-\-versions
+print version of mtt and components and exit
+
+The programs are documented fully by
+.IR "mtt: Model Transformation Tools" ,
+available via the Info system.
+.SH FILES
+/etc/mtt.conf
+.SH AUTHOR
+This manual page was written by Geraint <geraint@users.sf.net>,
+for the Debian GNU/Linux system (but may be used by others).

ADDED   mttroot/mtt/debian/manpage.1.ex
Index: mttroot/mtt/debian/manpage.1.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/manpage.1.ex
@@ -0,0 +1,60 @@
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH MTT SECTION "April 28, 2002"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh        disable hyphenation
+.\" .hy        enable hyphenation
+.\" .ad l      left justify
+.\" .ad b      justify to both left and right margins
+.\" .nf        disable filling
+.\" .fi        enable filling
+.\" .br        insert line break
+.\" .sp <n>    insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+mtt \- program to do something
+.SH SYNOPSIS
+.B mtt
+.RI [ options ] " files" ...
+.br
+.B bar
+.RI [ options ] " files" ...
+.SH DESCRIPTION
+This manual page documents briefly the
+.B mtt
+and
+.B bar
+commands.
+This manual page was written for the Debian distribution
+because the original program does not have a manual page.
+Instead, it has documentation in the GNU Info format; see below.
+.PP
+.\" TeX users may be more comfortable with the \fB<whatever>\fP and
+.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
+.\" respectively.
+\fBmtt\fP is a program that...
+.SH OPTIONS
+These programs follow the usual GNU command line syntax, with long
+options starting with two dashes (`-').
+A summary of options is included below.
+For a complete description, see the Info files.
+.TP
+.B \-h, \-\-help
+Show summary of options.
+.TP
+.B \-v, \-\-version
+Show version of program.
+.SH SEE ALSO
+.BR bar (1),
+.BR baz (1).
+.br
+The programs are documented fully by
+.IR "The Rise and Fall of a Fooish Bar" ,
+available via the Info system.
+.SH AUTHOR
+This manual page was written by Geraint <geraint@users.sf.net>,
+for the Debian GNU/Linux system (but may be used by others).

ADDED   mttroot/mtt/debian/manpage.sgml.ex
Index: mttroot/mtt/debian/manpage.sgml.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/manpage.sgml.ex
@@ -0,0 +1,152 @@
+<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
+
+<!-- Process this file with docbook-to-man to generate an nroff manual
+     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
+     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
+     less'.  A typical entry in a Makefile or Makefile.am is:
+
+manpage.1: manpage.sgml
+	docbook-to-man $< > $@
+
+    
+	The docbook-to-man binary is found in the docbook-to-man package.
+	Please remember that if you create the nroff version in one of the
+	debian/rules file targets (such as build), you will need to include
+	docbook-to-man in your Build-Depends control field.
+
+  -->
+
+  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
+  <!ENTITY dhfirstname "<firstname>FIRSTNAME</firstname>">
+  <!ENTITY dhsurname   "<surname>SURNAME</surname>">
+  <!-- Please adjust the date whenever revising the manpage. -->
+  <!ENTITY dhdate      "<date>April 28, 2002</date>">
+  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
+       allowed: see man(7), man(1). -->
+  <!ENTITY dhsection   "<manvolnum>SECTION</manvolnum>">
+  <!ENTITY dhemail     "<email>geraint@users.sf.net</email>">
+  <!ENTITY dhusername  "Geraint">
+  <!ENTITY dhucpackage "<refentrytitle>MTT</refentrytitle>">
+  <!ENTITY dhpackage   "mtt">
+
+  <!ENTITY debian      "<productname>Debian</productname>">
+  <!ENTITY gnu         "<acronym>GNU</acronym>">
+]>
+
+<refentry>
+  <refentryinfo>
+    <address>
+      &dhemail;
+    </address>
+    <author>
+      &dhfirstname;
+      &dhsurname;
+    </author>
+    <copyright>
+      <year>2001</year>
+      <holder>&dhusername;</holder>
+    </copyright>
+    &dhdate;
+  </refentryinfo>
+  <refmeta>
+    &dhucpackage;
+
+    &dhsection;
+  </refmeta>
+  <refnamediv>
+    <refname>&dhpackage;</refname>
+
+    <refpurpose>program to do something</refpurpose>
+  </refnamediv>
+  <refsynopsisdiv>
+    <cmdsynopsis>
+      <command>&dhpackage;</command>
+
+      <arg><option>-e <replaceable>this</replaceable></option></arg>
+
+      <arg><option>--example <replaceable>that</replaceable></option></arg>
+    </cmdsynopsis>
+  </refsynopsisdiv>
+  <refsect1>
+    <title>DESCRIPTION</title>
+
+    <para>This manual page documents briefly the
+      <command>&dhpackage;</command> and <command>bar</command>
+      commands.</para>
+
+    <para>This manual page was written for the &debian; distribution
+      because the original program does not have a manual page.
+      Instead, it has documentation in the &gnu;
+      <application>Info</application> format; see below.</para>
+
+    <para><command>&dhpackage;</command> is a program that...</para>
+
+  </refsect1>
+  <refsect1>
+    <title>OPTIONS</title>
+
+    <para>These programs follow the usual GNU command line syntax,
+      with long options starting with two dashes (`-').  A summary of
+      options is included below.  For a complete description, see the
+      <application>Info</application> files.</para>
+
+    <variablelist>
+      <varlistentry>
+        <term><option>-h</option>
+          <option>--help</option>
+        </term>
+        <listitem>
+          <para>Show summary of options.</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry>
+        <term><option>-v</option>
+          <option>--version</option>
+        </term>
+        <listitem>
+          <para>Show version of program.</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refsect1>
+  <refsect1>
+    <title>SEE ALSO</title>
+
+    <para>bar (1), baz (1).</para>
+
+    <para>The programs are documented fully by <citetitle>The Rise and
+      Fall of a Fooish Bar</citetitle> available via the
+      <application>Info</application> system.</para>
+  </refsect1>
+  <refsect1>
+    <title>AUTHOR</title>
+
+    <para>This manual page was written by &dhusername; &dhemail; for
+      the &debian; system (but may be used by others).  Permission is
+      granted to copy, distribute and/or modify this document under
+      the terms of the <acronym>GNU</acronym> Free Documentation
+      License, Version 1.1 or any later version published by the Free
+      Software Foundation; with no Invariant Sections, no Front-Cover
+      Texts and no Back-Cover Texts.</para>
+
+  </refsect1>
+</refentry>
+
+<!-- Keep this comment at the end of the file
+Local variables:
+mode: sgml
+sgml-omittag:t
+sgml-shorttag:t
+sgml-minimize-attributes:nil
+sgml-always-quote-attributes:t
+sgml-indent-step:2
+sgml-indent-data:t
+sgml-parent-document:nil
+sgml-default-dtd-file:nil
+sgml-exposed-tags:nil
+sgml-local-catalogs:nil
+sgml-local-ecat-files:nil
+End:
+-->
+
+

ADDED   mttroot/mtt/debian/menu.ex
Index: mttroot/mtt/debian/menu.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/menu.ex
@@ -0,0 +1,4 @@
+?package(mtt):needs=X11|text|vc|wm section=Apps/see-menu-manual\
+  title="mtt" command="/usr/bin/mtt"
+?package(mtt):needs=X11|text|vc|wm section=Apps/see-menu-manual\
+  title="xmtt" command="/usr/bin/xmtt"

ADDED   mttroot/mtt/debian/package.doc-base
Index: mttroot/mtt/debian/package.doc-base
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/package.doc-base
@@ -0,0 +1,19 @@
+Document: mtt
+Title: Debian mtt Manual
+Author: Peter Gawthrop
+Abstract: This manual describes mtt,
+ a set of tools for modelling dynamic physical systems
+ using the bond-graph methodology and transforming these
+ models into representations suitable for analysis, control
+ and simulation. These tools use, and generate m files for,
+ GNU Octave. 
+Section: math
+
+Format: postscript
+Files: /usr/share/doc/mtt/mtt.ps.gz
+
+Format: HTML
+Index: /usr/share/doc/mtt/html/mtt.html
+Files: /usr/share/doc/mtt/html/*.html
+
+  

ADDED   mttroot/mtt/debian/postinst.ex
Index: mttroot/mtt/debian/postinst.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/postinst.ex
@@ -0,0 +1,48 @@
+#! /bin/sh
+# postinst script for mtt
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

ADDED   mttroot/mtt/debian/postrm.ex
Index: mttroot/mtt/debian/postrm.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/postrm.ex
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for mtt
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

ADDED   mttroot/mtt/debian/preinst.ex
Index: mttroot/mtt/debian/preinst.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/preinst.ex
@@ -0,0 +1,44 @@
+#! /bin/sh
+# preinst script for mtt
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+#        if [ "$1" = "upgrade" ]
+#        then
+#            start-stop-daemon --stop --quiet --oknodo  \
+#                --pidfile /var/run/mtt.pid  \
+#                --exec /usr/sbin/mtt 2>/dev/null || true
+#        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

ADDED   mttroot/mtt/debian/prerm.ex
Index: mttroot/mtt/debian/prerm.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/prerm.ex
@@ -0,0 +1,39 @@
+#! /bin/sh
+# prerm script for mtt
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+#       install-info --quiet --remove /usr/info/mtt.info.gz
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

ADDED   mttroot/mtt/debian/rules
Index: mttroot/mtt/debian/rules
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/rules
@@ -0,0 +1,94 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=3
+
+
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL_PROGRAM += -s
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE) build build-doc
+	#/usr/bin/docbook-to-man debian/mtt.sgml > mtt.1
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+
+	# Add here commands to clean up after the build process.
+	-$(MAKE) distclean
+
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/mtt.
+	$(MAKE) install install-doc DESTDIR=$(CURDIR)/debian/mtt
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+	dh_testdir
+	dh_testroot
+#	dh_installdebconf	
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+	dh_installcron
+	dh_installman
+	dh_installinfo
+#	dh_undocumented
+	dh_installchangelogs 
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+# Build architecture-dependent files here.
+binary-arch: build install
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure

ADDED   mttroot/mtt/debian/watch.ex
Index: mttroot/mtt/debian/watch.ex
==================================================================
--- /dev/null
+++ mttroot/mtt/debian/watch.ex
@@ -0,0 +1,5 @@
+# Example watch control file for uscan
+# Rename this file to "watch" and then you can run the "uscan" command
+# to check for upstream updates and more.
+# Site		Directory		Pattern			Version	Script
+sunsite.unc.edu	/pub/Linux/Incoming	mtt-(.*)\.tar\.gz	debian	uupdate